Search This Blog

Wednesday, July 29, 2015

Compilation with NETGEN Ubuntu 14.04

Compilation with NETGEN Ubuntu 14.04


http://forum.freecadweb.org/viewtopic.php?t=6702


=== Mon Aug 17 22:47:36 HST 2015
OpenGL library is located in /usr/lib/x86_64-linux-gnu/
The netgen compilation did not give any error after installing libxmu-dev library. This will also install Togl1.7 library so that no separate installation of Togl 1.7 is necessary.
 
$ apt-get install libxmu-dev 

After installation, execution of 'netgen' in ng directory gave:
 
symbol lookup error: /usr/lib/libTogl.so: undefined symbol: tkStubsPtr
 

-ltcl8.6 -ltk8.6  -ltkstub8.5


=== Mon Aug 17 10:00:36 HST 2015 ===
The next error came out of 'netgen' compiling. Togl cannot call XmuLookupStandardColormap function in OpenGL, which need to be fixed.

### error message ### 
/bin/bash ../libtool --tag=CXX   --mode=link g++  -g -O2 -fopenmp -export-dynamic  -o netgen demoview.o ngappinit.o onetcl.o parallelfunc.o ngpkg.o ../libsrc/visualization/libvisual.la ../libsrc/csg/libcsgvis.la ../libsrc/csg/libcsg.la ../libsrc/interface/libinterface.la ../libsrc/meshing/libmesh.la -L/usr/lib/Togl1.7  -lTogl -lGLU -L/usr/lib/x86_64-linux-gnu -ltk8.6 -L/usr/lib/x86_64-linux-gnu -ltcl8.6    -lGL -lXmu -lX11   

libtool: link: g++ -g -O2 -fopenmp -o .libs/netgen \

demoview.o ngappinit.o onetcl.o parallelfunc.o ngpkg.o \
-Wl,--export-dynamic  \
../libsrc/visualization/.libs/libvisual.a \
../libsrc/csg/.libs/libcsgvis.so \
../libsrc/csg/.libs/libcsg.so \
../libsrc/interface/.libs/libinterface.so \
../libsrc/meshing/.libs/libmesh.so \
-L/usr/lib/Togl1.7 -lTogl -lGLU \
-L/usr/lib/x86_64-linux-gnu -ltk8.6 -ltcl8.6 -lGL -lXmu -lX11 \
-fopenmp -Wl,-rpath -Wl,/opt/netgen/lib

/usr/lib/Togl1.7/libTogl.so: undefined reference to `XmuLookupStandardColormap'


collect2: error: ld returned 1 exit status
make: *** [netgen] Error 1


=== Sun Aug 16 23:37:50 HST 2015
Difficulties of compiling netgen source package is purely from Togl library.
In "configure" file of netgen, Togl version is specified as 1.7, but it does require functions included in Togl 2.0.


To overcome this issue, install Togl1.7 in
/opt/Togl1.7
make a link to it in /usr/lib
$ cd /usr/lib
ln -s /opt/Togl-1.7  /usr/lib/Togl1.7

Go do /opt/Togl-1.7 and make a link of Togl library:
$ ln  -s  libTogl1.7.so  libTogl.so

Then the next is OpenGL:
http://xed.ch/help/opengl.html#check

 

Labels

Bacteria

Loading...